Fleet Schedule Backup

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/databases/actions/bulkSubmitBackup

Schedules backup of multiple databases. If the selected destination is an Oracle Zero Data Loss Recovery Appliance, then you must enable the ZDLRA Management Pack on the Recovery Appliance to use this API.

Request

Header Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Parameters for creating a backup.
Match All
Parameters for creating a backup.
Show Source
Match One Schema
Show Source
Nested Schema : BackupDetailsCommon
Type: object
Parameters for creating a backup.
Show Source
Nested Schema : CreateBackupDetailsOCI
Parameters for creating OCI backup.
Match All
Parameters for creating OCI backup.
Parameters for creating OCI backup.
Parameters for creating OCI backup.
Show Source
Nested Schema : CreateBackupDetailsRASuggested
Parameters for creating Recovery Appliance suggested backup.
Match All
Parameters for creating Recovery Appliance suggested backup.
Parameters for creating Recovery Appliance suggested backup.
Show Source
Nested Schema : Targets
Type: array
List of database targets.
Show Source
Example:
[
    {
        "targetName":"DB1",
        "targetTypeName":"oracle_database",
        "rmanEncryptionCredentials":"NAMED:RMAN:SYSMAN"
    },
    {
        "targetName":"DB2",
        "targetTypeName":"rac_database"
    }
]
Nested Schema : items
Type: object
Show Source
Nested Schema : CreateBackupDetailsBase
Type: object
Parameters for creating a backup.
Show Source
Nested Schema : BackupDetailsEncryption
Type: object
Parameters for creating a backup.
Show Source
Nested Schema : BackupDetailsDPParamsSchedule
Type: object
Parameters for scheduling a backup.
Show Source
  • Discriminator: type
    Discriminator: { "propertyName":"type", "mapping":{ "immediately":"#/components/schemas/ScheduleImmediately", "later":"#/components/schemas/ScheduleLater", "repeating":"#/components/schemas/ScheduleRepeating" } }
    Specifies schedule of the deployment procedure..
Nested Schema : Discriminator: type
Type: object
Discriminator: type

Discriminator Values

Specifies schedule of the deployment procedure..
Match One Schema
Show Source
Nested Schema : ScheduleImmediately
Type: object
Schedule immediately.
Show Source
Nested Schema : ScheduleLater
Type: object
Schedule later.
Show Source
Nested Schema : Discriminator: repeatFrequency
Type: object
Discriminator: repeatFrequency

Discriminator Values

Repeating schedule.
Match All
Repeating schedule.
Show Source
Match One Schema
Show Source
Nested Schema : ScheduleRepeatingBase
Type: object
Repeating schedule.
Show Source
Nested Schema : ScheduleWeekly
Type: object
Repeat value for repeat frequency - weekly.
Show Source
Nested Schema : ScheduleMonthly
Type: object
Repeat value for repeat frequency - monthly.
Show Source
Nested Schema : ScheduleYearly
Type: object
Repeat value for repeat frequency - yearly.
Show Source
Nested Schema : ScheduleInterval
Type: object
Repeat value for repeat frequency - interval.
Show Source
Nested Schema : days
Type: array
Days of the week.
Show Source
  • Allowed Values: [ 1, 2, 3, 4, 5, 6, 7 ]
    Days of the week, Sunday is 1, Monday is 2 etc.
Example:
1,4
Nested Schema : days
Type: array
Repeat value for monthly.
Show Source
  • Day number, int -1, 1..5 representing which day number. -1 represents LAST day.
Example:
1,30,31
Nested Schema : months
Type: array
Repeat value for yearly.
Show Source
  • Month number, int 1, 2, 3.. representing months Januaray, February, March etc.
Example:
1,3
Nested Schema : BackupDetailsRASuggested
Type: object
Parameters for creating a backup.
Show Source
Examples

Back to Top

Response

Supported Media Types

202 Response

Accepted.
Headers
Body ()
Root Schema : BulkSubmitBackupDatabase
Type: object
Backup Deployment Procedure Status
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

401 Response

Client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

403 Response

Forbidden. The user is forbidden to perform the requested operation
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

404 Response

Resource not found or not authorized for access
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

409 Response

Conflict
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

Indicates that a required service is not available
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top